> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SetQueueInfo

POST https://api.voximplant.com/platform_api/SetQueueInfo

Edits the ACD queue.

**Example request:** Change the queue name.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/set-queue-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /SetQueueInfo:
    post:
      operationId: set-queue-info
      summary: SetQueueInfo
      description: |-
        Edits the ACD queue.

        **Example request:** Change the queue name.
      tags:
        - subpackage_queues
      parameters:
        - name: acd_queue_id
          in: query
          description: >-
            The ACD queue ID. **Required** unless **acd_queue_name** is
            provided.
          required: false
          schema:
            type: integer
        - name: acd_queue_name
          in: query
          description: >-
            The ACD queue name. **Required** unless **acd_queue_id** is
            provided.
          required: false
          schema:
            type: string
        - name: new_acd_queue_name
          in: query
          description: The new queue name. The length must be less than 100
          required: false
          schema:
            type: string
        - name: acd_queue_priority
          in: query
          description: The integer queue priority. The highest priority is 0
          required: false
          schema:
            type: integer
        - name: auto_binding
          in: query
          description: >-
            Whether to enable the auto binding of operators to a queue by skills
            comparing
          required: false
          schema:
            type: boolean
        - name: service_probability
          in: query
          description: >-
            The value in the range of [0.5 ... 1.0]. The value 1.0 means the
            service probability 100% in challenge with a lower priority queue
          required: false
          schema:
            type: number
            format: double
        - name: max_queue_size
          in: query
          description: The max queue size
          required: false
          schema:
            type: integer
        - name: max_waiting_time
          in: query
          description: >-
            The max predicted waiting time in minutes. The client is rejected if
            the predicted waiting time is greater than the max predicted waiting
            time
          required: false
          schema:
            type: integer
        - name: average_service_time
          in: query
          description: >-
            The average service time in seconds. Specify the parameter to
            correct or initialize the waiting time prediction
          required: false
          schema:
            type: integer
        - name: application_id
          in: query
          description: The new application ID
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/queues_SetQueueInfo_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    queues_SetQueueInfo_Response_200:
      type: object
      properties:
        result:
          type: integer
          description: Returns 1 if the request has been completed successfully
      title: queues_SetQueueInfo_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SetQueueInfo"

querystring = {"acd_queue_id":"12345","new_acd_queue_name":"Customer Support Priority Queue","acd_queue_priority":"0","auto_binding":"true","service_probability":"0.95","max_queue_size":"50","max_waiting_time":"15","average_service_time":"180","application_id":"67890"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```